Package com.saxonica.ee.stream.om

## Class FleetingParentNode

- java.lang.Object
- - com.saxonica.ee.stream.om.FleetingNode
  - - com.saxonica.ee.stream.om.FleetingParentNode

- All Implemented Interfaces:
    `javax.xml.transform.Source`, `javax.xml.transform.SourceLocator`, `GroundedValue`, `Item`, `NodeInfo`, `Sequence`, `Location`, `org.xml.sax.Locator`
  Direct Known Subclasses:
    `FleetingDocumentNode`, `FleetingElementNode`

      public abstract class FleetingParentNode
      extends FleetingNode

  A streamed document or element node.

- - ### Field Summary

    - ### Fields inherited from class com.saxonica.ee.stream.om.FleetingNode

      `root`

    - ### Fields inherited from interface net.sf.saxon.om.NodeInfo

      `IS_DTD_TYPE, IS_NILLED`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FleetingParentNode()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `hasChildNodes()` | Ask whether the node has any children.
    `abstract void` | `notify​(Receiver out)` | Notify the event to a Receiver
    `void` | `setHasChildren​(boolean has)` | Say whether the node has any children.

    - ### Methods inherited from class com.saxonica.ee.stream.om.FleetingNode

      `atomize, compareOrder, equals, generateId, getAllNamespaces, getAttributeValue, getBaseURI, getConfiguration, getDeclaredNamespaces, getDepth, getDisplayName, getFingerprint, getInScopeNamespaces, getLocalPart, getNamePool, getNodeKind, getNodeName, getNodeNumber, getParent, getPrefix, getRoot, getSchemaType, getStringValue, getStringValueCS, getSystemId, getTreeInfo, getURI, hasFingerprint, head, isStreamed, iterateAxis, saveLocation, setNodeKind, setNodeName, setParent, setStringValue, setSystemId, setTypeAnnotation`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.om.GroundedValue

      `asIterable, concatenate, containsNode, effectiveBooleanValue, materialize`

    - ### Methods inherited from interface net.sf.saxon.om.Item

      `getLength, itemAt, iterate, reduce, subsequence`

    - ### Methods inherited from interface net.sf.saxon.om.NodeInfo

      `attributes, children, children, copy, getColumnNumber, getGenre, getLineNumber, getPublicId, hashCode, isId, isIdref, isNilled, isSameNodeInfo, iterateAxis, toShortString`

    - ### Methods inherited from interface net.sf.saxon.om.Sequence

      `makeRepeatable`

    - ### Methods inherited from interface javax.xml.transform.Source

      `isEmpty`

- - ### Constructor Detail

    - #### FleetingParentNode

          public FleetingParentNode()

  - ### Method Detail

    - #### hasChildNodes

          public boolean hasChildNodes()

      Ask whether the node has any children.
      Specified by:
        `hasChildNodes` in interface `NodeInfo`
      Overrides:
        `hasChildNodes` in class `FleetingNode`
      Returns:
        True if the node has one or more children

    - #### setHasChildren

          public void setHasChildren​(boolean has)

      Say whether the node has any children.
      Parameters:
        `has` - true if the node has children

    - #### notify

          public abstract void notify​(Receiver out)
                               throws XPathException

      Notify the event to a Receiver
      Parameters:
        `out` - the receiver to be notified
      Throws:
        `XPathException`